Bug 464244 - add supporting functionality on the server side for registration eus options to work with activationkeys
add supporting functionality on the server side for registration eus options ...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Registration (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Clifford Perry
Red Hat Satellite QA List
: Triaged
Depends On:
Blocks: 462714 479461
  Show dependency treegraph
 
Reported: 2008-09-26 16:38 EDT by Pradeep Kilambi
Modified: 2014-05-09 06:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-09 06:39:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2008-09-26 16:38:45 EDT
Description of problem:

Currently server doesn't support use of --use-eus-channel option in conjunction with --activationkey, while registering as the supporting functionality is not implemented on the server. We raise an exception on the client to use the username and password instead. It would be nice to get this functionality implemented so users could use activationkey when using --use-eus-channel option.

So basically available_eus_channels method needs username and password now in registration.py. We need another equivalent method in case activationkey is specified.


This change needs to be ported to hosted only we have it working on satellites.
Comment 1 Pradeep Kilambi 2008-09-26 16:43:28 EDT
This change needs to be ported to hosted only we have it working on satellites.

should read:

This change needs to be ported to hosted once we have it working on satellites.

Thanks,
Comment 2 Brandon Perkins 2008-10-01 15:06:55 EDT
Agreed.  And when we get the code, this bug should be cloned for Hosted.
Comment 17 Clifford Perry 2014-05-09 06:39:20 EDT
We have not addressed this specific bug in over 5 years years. This does not seem to have an active customer case with the bug report either. Closing out as wontfix to clear from backlog. 

Please re-open if you disagree and wish further review.

Cliff

Note You need to log in before you can comment on or make changes to this bug.